*,
*::after,
*::before {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
}

:root {
    --white-color: #fff;
    --btn-bg-color: #701C85;
    --btn-text-color: #FFC800;
    --border-radius: 8px;
}

html {
    font-family: 'Tajawal', sans-serif;
    font-size: 62.5%;
}

@media only screen and (max-width: 800px) {
    html {
        font-size: 50%;
    }
}

body {
    overflow-x: hidden !important;
    background-color: var(--btn-bg-color) !important;
}

select {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    text-indent: 1px;
    padding: 1rem !important;
    border-radius: 1rem;
    border: 1px solid #ccc;
    background-color: #fff;
    font-size: 1.6rem !important;
    color: #333;
    width: 100%;
}

option {
    font-size: 1.6rem;
}

select:focus {
    outline: none;
}

input {
    padding: 1rem !important;
    border: 1px solid #ccc;
    border-radius: 1rem;
    font-size: 1.6rem !important;
}

input:focus {
    outline: none;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type="number"] {
    padding: 5px;
}

input::placeholder {
    font-size: 1.6rem;
}

label {
    font-size: 1.4rem;
    margin-left: 1rem;
    font-weight: bold;
    margin: 1rem 0;
}

.cart-container {
    padding: 5rem;
    display: flex;
    align-items: start;
    flex-wrap: wrap;
    gap: 2rem;
}

.cart-container .right-side {
    flex: 30%;
}

.cart-container .right-side .products-container {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

@media only screen and (max-width: 650px) {
    .cart-container .right-side .product {
        flex-direction: column !important;
        align-items: stretch !important;
        text-align: center;
        gap: 2rem;
    }
}

.cart-container .right-side .products-container .product {
    display: flex;
    justify-content: space-between;
    align-items: end;
    width: 100%;
    background-color: var(--white-color);
    border-radius: var(--border-radius);
    padding: 2rem;
}

.cart-container .right-side .products-container .product .product-details {
    display: flex;
    align-items: stretch;
    gap: 2rem;
}

.cart-container .right-side .products-container .product .product-details .info {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 1rem 0;
}

.cart-container .right-side .products-container .product .product-details img {
    width: 150px !important;
    height: 150px !important;
}

.cart-container .right-side .products-container .product .product-details h2 {
    font-size: 1.8rem;
    font-weight: 900;
}

.cart-container .right-side .products-container .product .product-details h3 {
    font-size: 1.6rem;
    font-weight: 900;
}

.cart-container .right-side .products-container .product .product-edit {
    display: flex;
    gap: 4rem;
    align-items: center;
    font-size: 2rem;
}

.cart-container .right-side .products-container .product .product-edit .counter {
    display: flex;
    align-items: center;
    gap: 1.5rem;
    font-size: 1.6rem;
    padding: 1rem 2rem;
}

.cart-container .right-side .products-container .product .product-edit .counter .button {
    background-color: var(--btn-bg-color);
    color: var(--btn-text-color);
    font-weight: 700;
    display: flex;
    justify-content: center;
    width: 3rem;
    height: 3rem;
    border-radius: 50%;
}

.button {
    cursor: pointer;
    font-size: large;
}

.cart-container .right-side .products-container .product .product-edit .remove-btn i {
    color: #e30000;
}

.cart-container .left-side {
    flex: 1;
    min-width: 300px;
    background-color: var(--white-color);
    padding: 2rem 3rem;
    border-radius: var(--border-radius);
}

.cart-container .left-side h2 {
    font-weight: bold;
    margin-bottom: 3rem;
    font-size: 2.3rem;
}

.cart-container .left-side .total-box,
.cart-container .left-side .sub-box {
    margin-top: 1rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.cart-container .left-side .sub-box .sub-title {
    font-size: 1.5rem;
    font-weight: 400;
}

.cart-container .left-side .sub-box .sub-price {
    font-size: 1.4rem;
    font-weight: 700;
}

.cart-container .left-side .total-box .total-title {
    font-size: 1.8rem;
    font-weight: 900;
}

.cart-container .left-side .total-box .total-price {
    font-weight: bold;
    font-size: 2rem;
}

.main-btn {
    background-color: var(--btn-bg-color);
    border: none;
    border-radius: 15px;
    font-size: 1.6rem;
    display: block;
    width: 100%;
    margin: 3rem 0;
    padding: 1rem 0;
    color: var(--btn-text-color);
}

.main-btn a,
.main-btn a:hover {
    text-decoration: none;
    color: var(--btn-text-color);
    text-align: center;
    font-weight: 700;
}

.checkbox {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.popup {
    position: fixed;
    width: 100%;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.7);
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    display: none;
    overflow-x: hidden;
    z-index: 100;
    transform: translateY(-27%);
}
@media (max-width:650px) {
    .popup {
        transform: translateY(-37%);
    }
}

.popup .container {
    width: 100%;
}

.payment,
.shipping {
    z-index: 100;
    border-radius: 6px;
    display: flex;
    flex-direction: column;
    background-color: #fff;
    min-width: 290px;
    width: 50%;
    padding: 4rem;
    position: relative;
    height: 90vh;
    overflow-y: scroll;
}

.dis-none {
    display: none;
}

.popup .container i {
    color: #e30000;
    font-size: 2.6rem;
    cursor: pointer;
    position: absolute;
    top: 1.4rem;
}

.popup .payment .container i {
    right: 1.4rem;
}

.popup .shipping .container i {
    left: 1.4rem;
}

.radio {
    display: flex;
    align-items: center;
    gap: 1.2rem;
}

.inp {
    display: flex;
    flex-direction: column;
    margin-bottom: 1rem;
    min-width: 220px;
}

.exp-cvc {
    display: flex;
    flex-wrap: wrap;
    gap: 1.6rem;
    align-items: center;
    width: 100%;
}

.show {
    opacity: 1;
    display: flex;
}

.form-group span {
    display: none;
}

.form-group.has-error span {
    display: block;
}